Bug 65126 - mozilla crashes in VNC window for info.nld.chello.nl
mozilla crashes in VNC window for info.nld.chello.nl
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-05-17 17:57 EDT by Erik van Konijnenburg
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-30 15:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xdpyinfo for vnc session (1.70 KB, text/plain)
2002-05-17 17:58 EDT, Erik van Konijnenburg
no flags Details
xdpyinfo for working X server (2.53 KB, text/plain)
2002-05-17 18:00 EDT, Erik van Konijnenburg
no flags Details
sample html that triggers crash (741 bytes, text/html)
2002-08-30 15:23 EDT, Erik van Konijnenburg
no flags Details

  None (edit)
Description Erik van Konijnenburg 2002-05-17 17:57:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020509

Description of problem:
After receiving mozilla 0.9.9-12.7.2 via up2date today,
both mozilla and galeon frequently crash in a VNC session.
The normal X-server on this box does not have this problem.
One of the urls that shows this problem is info.nld.chello.nl

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Inside a VNC session to the local machine, start galeon
2. surf to info.nld.chello.nl
3. At this point, the following may be displayed:

   [konijn@banaan konijn]$ galeon
   Message: Successfully registered `OAFIID:GNOME_Galeon_Automation'
   IDN support disabled
   escape UTF-8 enabled
   Gdk-ERROR **: BadMatch (invalid parameter attributes)
     serial 47 error_code 8 request_code 129 minor_code 3
   [konijn@banaan konijn]$

4. Trying to restore the session gives a seg fault.
5. The segfault also happens frequently with other sites,
   but if I try to reproduce that now this bug report crashes too...
6. Visiting the same site in the native X-server shows no problem.

Actual Results:  Sometimes crash, sometimes gdk error

Expected Results:  Displayed page.

Additional info:

I'll attach xdpyinfo for VNC and normal X-server later.
Comment 1 Erik van Konijnenburg 2002-05-17 17:58:09 EDT
Created attachment 57784 [details]
xdpyinfo for vnc session
Comment 2 Erik van Konijnenburg 2002-05-17 18:00:21 EDT
Created attachment 57785 [details]
xdpyinfo for working X server
Comment 3 Christopher Blizzard 2002-08-29 18:38:49 EDT
Are these pages with flash?
Comment 4 Erik van Konijnenburg 2002-08-30 15:20:58 EDT
That seems to be it.  info.nld.chello.nl works on a normal X display,
but crashes in vnc.  This behaviour remained the same after I stripped
the page to just the flash embedding (see attachment).  
After removing libflashplayer.so, no more crash in vnc.
(and the annoying movie is gone as well.)

The flash version:
$ rpm -qf /usr/lib/netscape/plugins/libflashplayer.so 
Comment 5 Erik van Konijnenburg 2002-08-30 15:23:24 EDT
Created attachment 74007 [details]
sample html that triggers crash
Comment 6 Christopher Blizzard 2002-08-31 20:11:30 EDT
It's a known bug to which there is no fix. :(


Note You need to log in before you can comment on or make changes to this bug.